# What is TerraHub?

## Quick Links

TerraHub is the DevOps Hub for Terraform Automation, which includes:
* [TerraHub CLI](#terrahub-cli) -
  terraform automation and orchestration tool \(open source\)
* [TerraHub API](#terrahub-api) -
  data and logs management, requires token to collect anything
* [TerraHub Console](#terrahub-console) -
  enterprise friendly GUI to show realtime terraform executions, as well as
  auditing and reporting capabilities for historical terraform runs


## TerraHub CLI

terraform automation and orchestration tool

( built using [node.js](https://nodejs.org)
| published using [npm](https://www.npmjs.com/package/terrahub)
| managed using [github](https://github.com/tfxor/terrahub)
| documented using [gitbook](https://docs.terrahub.io) )


## TerraHub API

data and logs management, requires token to collect anything

( built using [node.js](https://nodejs.org)
| managed using [swagger](https://www.terrahub.io/api)
| deployed using [aws serverless](https://aws.amazon.com/serverless)
| documented using [swagger ui](https://www.terrahub.io/api) )


## TerraHub Console

enterprise friendly GUI to show realtime terraform executions, as well as
auditing and reporting capabilities for historical terraform runs

( built using [vue.js](https://vuejs.org)
| managed using [webpack](https://webpack.js.org)
| deployed using [aws serverless](https://aws.amazon.com/serverless)
| published using [terrahub](https://console.terrahub.io) )
