# Privacy Policy

Last updated: 2018-08-01.

Thank you for your interest in TerraHub Corp \("TerraHub", "we", "us", or "our"\), our web site at [www.terrahub.io](https://www.terrahub.io) \(the "Site"\), and all related web sites, downloadable software, mobile applications \(including tablet applications\), and other services provided by us and on which a link to this Privacy Policy is displayed, and all other communications with individuals though from written or oral means, such as email or phone \(collectively, together with the Site, our "Service"\).

This Privacy Policy \("Policy"\) describes the information that we gather on or through the Service, how we use and disclose such information, and the steps we take to protect such information. By visiting the Site, or by purchasing or using the Service, you accept the privacy practices described in this Policy.

This Policy is incorporated into, and is subject to, the TerraHub [Terms of Service](https://www.terrahub.io/terms-conditions/). Capitalized terms used but not defined in this Policy have the meaning given to them in the TerraHub's Terms of Service.


## 1. Definitions

"Client" means a customer of TerraHub.

"Client Data" means personal data, reports, addresses, and other files, folders or documents in electronic form that a User of the Service stores within the Service.

"Personal Data" means any information relating to an identified or identifiable natural person.

"Public Area" means the area of the Site that can be accessed both by Users and Visitors, without needing to log in.

"Restricted Area" means the area of the Site that can be accessed only by Users, and where access requires logging in.

"User" means an employee, agent, or representative of a Client, who primarily uses the restricted areas of the Site for the purpose of accessing the Service in such capacity.

"Visitor" means an individual other than a User, who uses the public area, but has no access to the restricted areas of the Site or Service.


## 2. The Information We Collect on the Service

We collect different types of information from or through the Service. The legal bases for TerraHub's processing of personal data are primarily that the processing is necessary for providing the Service in accordance with TerraHub's Terms of Service and that the processing is carried out in TerraHub's legitimate interests, which are further explained in the section "How We Use the Information We Collect" of this Policy. We may also process data upon your consent, asking for it as appropriate.

### 2.1. User Provided Information

When you use the Service, as a User or as a Visitor, you may provide, and we may collect Personal Data. Examples of Personal Data include name, email address, mailing address, mobile phone number, and credit card or other billing information. Personal Data also includes other information, such as geographic area or preferences, when any such information is linked to information that identifies a specific individual. You may provide us with Personal Data in various ways on the Service. For example, when you register for an Account, use the Service, post Client Data, interact with other users of the Service through communication or messaging capabilities, or send us customer service - related requests.

### 2.2. Information Collected by Clients

A Client or User may store or upload into the Service Client Data. TerraHub has no direct relationship with the individuals whose Personal Data it hosts as part of Client Data. Each Client is responsible for providing notice to its customers and third persons concerning the purpose for which Client collects their Personal Data and how this Personal Data is processed in or through the Service as part of Client Data.

### 2.3. "Automatically Collected" Information

When a User or Visitor uses the Service, we may automatically record certain information from the User's or Visitor's device by using various types of technology, including cookies, "clear gifs" or "web beacons." This "automatically collected" information may include IP address or other device address or ID, web browser and/or device type, the web pages or sites visited just before or just after using the Service, the pages or other content the User or Visitor views or interacts with on the Service, and the dates and times of the visit, access, or use of the Service. We also may use these technologies to collect information regarding a Visitor or User's interaction with email messages, such as whether the Visitor or User opens, clicks on, or forwards a message. This information is gathered from all Users and Visitors.

### 2.4. Integrated Services

You may be given the option to access or register for the Service through the use of your user name and passwords for certain services provided by third parties \(each, an "Integrated Service"\), such as through the use of your Google account, or otherwise have the option to authorize an Integrated Service to provide Personal Data or other information to us. By authorizing us to connect with an Integrated Service, you authorize us to access and store your name, email address\(es\), date of birth, gender, current city, profile picture URL, and other information that the Integrated Service makes available to us, and to use and disclose it in accordance with this Policy. You should check your privacy settings on each Integrated Service to understand what information that Integrated Service makes available to us, and make changes as appropriate. Please review each Integrated Service's terms of use and privacy policies carefully before using their services and connecting to our Service.

### 2.5. Information from Other Sources

We may obtain information, including Personal Data, from third parties and sources other than the Service, such as our partners, advertisers, credit rating agencies, and Integrated Services. If we combine or associate information from other sources with Personal Data that we collect through the Service, we will treat the combined information as Personal Data in accordance with this Policy.


## 3. How We Use the Information We Collect

We use the information that we collect in a variety of ways in providing the Service and operating our business, including the following:

### 3.1. Operations

We use the information – other than Client Data - to operate, maintain, enhance and provide all features of the Service, to provide the services and information that you request, to respond to comments and questions and to provide support to users of the Service. We process Client Data solely in accordance with the directions provided by the applicable Client or User.

### 3.2. Improvements

We use the information to understand and analyze the usage trends and preferences of our Visitors and Users, to improve the Service, and to develop new products, services, feature, and functionality. Should this purpose require TerraHub to process Client Data, then the data will only be used in anonymized or aggregated form.

### 3.3. Communications

We may use a Visitor's or User's email address or other information – other than Client Data – to contact that Visitor or User \(i\) for administrative purposes such as customer service, to address intellectual property infringement, right of privacy violations or defamation issues related to the Client Data or Personal Data posted on the Service or \(ii\) with updates on promotions and events, relating to products and services offered by us and by third parties we work with. You have the ability to opt-out of receiving any promotional communications as described below under "Your Choices."

### 3.4. Cookies and Tracking Technologies

We use automatically collected information and other information collected on the Service through cookies and similar technologies to: \(i\) personalize our Service, such as remembering a User's or Visitor's information so that the User or Visitor will not have to re-enter it during a visit or on subsequent visits; \(ii\) provide customized advertisements, content, and information; \(iii\) monitor and analyze the effectiveness of Service and third-party marketing activities; \(iv\) monitor aggregate site usage metrics such as total number of visitors and pages viewed; and \(v\) track your entries, submissions, and status in any promotions or other activities on the Service. You can obtain more information about cookies by visiting [www.allaboutcookies.org](https://www.allaboutcookies.org).

### 3.5. Analytics

We use Google Analytics to measure and evaluate access to and traffic on the Public Area of the Site, and create user navigation reports for our Site administrators. Google operates independently from us and has its own privacy policy, which we strongly suggest you review. Google may use the information collected through Google Analytics to evaluate Users' and Visitors' activity on our Site. For more information, see [Google Analytics Privacy and Data Sharing](https://support.google.com/analytics/answer/6004245).

We take measures to protect the technical information collected by our use of Google Analytics. The data collected will only be used on a need to know basis to resolve technical issues, administer the Site and identify visitor preferences; but in this case, the data will be in non-identifiable form. We do not use any of this information to identify Visitors or Users.


### 4. To Whom We Disclose Information

Except as described in this Policy, we will not intentionally disclose the Personal Data or Client Data that we collect or store on the Service to third parties without the consent of the applicable Visitor, User or Client. We may disclose information to third parties if you consent to us doing so, as well as in the following circumstances:

### 4.1. Unrestricted Information

Any information that you voluntarily choose to include in a Public Area of the Service, such as a public profile page, will be available to any Visitor or User who has access to that content.

### 4.2. Service Providers

We work with third party service providers who provide website, application development, hosting, maintenance, and other services for us. These third parties may have access to, or process Personal Data or Client Data as part of providing those services for us. We limit the information provided to these service providers to that which is reasonably necessary for them to perform their functions, and our contracts with them require them to maintain the confidentiality of such information.

### 4.3. Non Personally Identifiable Information

We may make certain automatically-collected, aggregated, or otherwise non-personally-identifiable information available to third parties for various purposes, including \(i\) compliance with various reporting obligations; \(ii\) for business or marketing purposes; or \(iii\) to assist such parties in understanding our Clients', Users' and Visitors' interests, habits, and usage patterns for certain programs, content, services, and/or functionality available through the Service.

### 4.4. Law Enforcement, Legal Process and Compliance

We may disclose Personal Data or other information if required to do so by law or in the good-faith belief that such action is necessary to comply with applicable laws, in response to a facially valid court order, judicial or other government subpoena or warrant, or to otherwise cooperate with law enforcement or other governmental agencies.

We also reserve the right to disclose Personal Data or other information that we believe, in good faith, is appropriate or necessary to \(i\) take precautions against liability, \(ii\) protect ourselves or others from fraudulent, abusive, or unlawful uses or activity, \(iii\) investigate and defend ourselves against any third-party claims or allegations, \(iv\) protect the security or integrity of the Service and any facilities or equipment used to make the Service available, or \(v\) protect our property or other legal rights, enforce our contracts, or protect the rights, property, or safety of others.

### 4.5. Change of Ownership

Information about Users and Visitors, including Personal Data, may be disclosed and otherwise transferred to an acquirer, successor or assignee as part of any merger, acquisition, debt financing, sale of assets, or similar transaction, as well as in the event of an insolvency, bankruptcy, or receivership in which information is transferred to one or more third parties as one of our business assets and only if the recipient of the User or Visitor Data commits to a Privacy Policy that has terms substantially consistent with this Privacy Policy.

Client Data may be physically or electronically transferred to an acquirer, or successor or assignee as part of any merger, acquisition, debt financing, sale of assets, or similar transaction, as well as in the event of an insolvency, bankruptcy, or receivership in which information is transferred to one or more third parties as one of our business assets, for the sole purpose of continuing the operation of the Service, and only if the recipient of the Client Data commits to a Privacy Policy that has terms substantially consistent with this Privacy Policy.


## 5. Your Choices

### 5.1. Access, Correction, Deletion

We respect your privacy rights and provide you with reasonable access to the Personal Data that you may have provided through your use of the Services. If you wish to access or amend any other Personal Data we hold about you, or to request that we delete or transfer any information about you that we have obtained from an Integrated Service, you may contact us as set forth in the "How to Contact Us" section. At your request, we will have any reference to you deleted or blocked in our database.

You may update, correct, or delete your Account information and preferences at any time by accessing your Account settings page on the Service. Please note that while any changes you make will be reflected in active user databases instantly or within a reasonable period of time, we may retain all information you submit for backups, archiving, prevention of fraud and abuse, analytics, satisfaction of legal obligations, or where we otherwise reasonably believe that we have a legitimate reason to do so.

You may decline to share certain Personal Data with us, in which case we may not be able to provide to you some of the features and functionality of the Service.

At any time, you may object to the processing of your Personal Data, on legitimate grounds, except if otherwise permitted by applicable law. If you believe your right to privacy granted by applicable data protection laws has been infringed upon, please contact TerraHub's Security Team at security@terrahub.io. You also have a right to lodge a complaint with data protection authorities.

This provision does not apply to Personal Data that is part of Client Data. In this case, the management of the Client Data is subject to the Client's own Privacy Policy, and any request for access, correction or deletion should be made to the Client responsible for the uploading and storage of such data into the Service.

### 5.2. Navigation Information

You may opt out from the collection of navigation information about your visit to the Site by Google Analytics by using the [Google Analytics Opt-out feature](https://tools.google.com/dlpage/gaoptout).

### 5.3. Opting out from Commercial Communications

If you receive commercial emails from us, you may unsubscribe at any time by following the instructions contained within the email or by sending an email to the address provided in the "How to Contact Us" section.

Users are able to view and modify settings relating to the nature and frequency of promotional communications that they receive from us by accessing the "Settings" tab on the Service.

Please be aware that if you opt-out of receiving commercial email from us or otherwise modify the nature or frequency of promotional communications you receive from us, it may take up to ten \(10\) business days for us to process your request. Additionally, even after you opt-out from receiving commercial messages from us, you will continue to receive administrative messages from us regarding the Service.

TerraHub has no direct relationship with the Client's customers or third party whose Personal Data it may process on behalf of a Client. An individual who seeks access, or who seeks to correct, amend, delete inaccurate data or withdraw consent for further contact should direct his or her query to the Client or User they deal with directly. If the Client requests TerraHub to remove the data, we will respond to its request within thirty \(30\) days. We will delete, amend or block access to any Personal Data that we are storing only if we receive a written request to do so from the Client who is responsible for such Personal Data, unless we have a legal right to retain such Personal Data. We reserve the right to retain a copy of such data for archiving purposes, or to defend our rights in litigation. Any such request regarding Client Data should be addressed as indicated in the "How to Contact Us" section, and include sufficient information for TerraHub to identify the Client or its customer or third party and the information to delete or amend.


## 6. Third-Party Services

The Service may contain features or links to web sites and services provided by third parties. Any information you provide on third-party sites or services is provided directly to the operators of such services and is subject to those operators' policies, if any, governing privacy and security, even if accessed through the Service. We are not responsible for the content or privacy and security practices and policies of third-party sites or services to which links or access are provided through the Service. We encourage you to learn about third parties' privacy and security policies before providing them with information.


## 7. Privacy Shield

We comply with the EU-US Privacy Shield Framework as set forth by the US Department of Commerce regarding the collection, use, and retention of personal information transferred from the European Union to the United States.  Advanced Knowledge Information LLC dba TerraHub Corp has certified to the Department of Commerce that it adheres to the Privacy Shield Principles.  If there is any conflict between the terms in this privacy policy and the Privacy Shield Principles, the Privacy Shield Principles shall govern. To learn more about the Privacy Shield program, and to view our certification, please visit [www.privacyshield.gov](https://www.privacyshield.gov)

In compliance with the Privacy Shield Principles, TerraHub commits to resolve complaints about our collection or use of your personal information.  EU individuals with inquiries or complaints regarding our Privacy Shield policy should first contact TerraHub's Security Team at security@terrahub.io.

TerraHub has further committed to cooperate with the panel established by the EU data protection authorities \(DPAs\) with regard to unresolved Privacy Shield complaints concerning human resources data transferred from the EU in the context of the employment relationship.

In any matters relating to the EU-US Privacy Shield Framework, TerraHub is subject to the investigatory and enforcement powers of the Federal Trade Commission \(FTC\).

Under certain conditions, more fully described on the Privacy Shield website at [www.privacyshield.gov/article?id=How-to-Submit-a-Complaint](https://www.privacyshield.gov/article?id=How-to-Submit-a-Complaint), you may invoke binding arbitration when other dispute resolution procedures have been exhausted.

TerraHub shall comply with the Privacy Shield Principles for all onward transfers of personal data from the EU, including the onward transfer liability provisions.


## 8. Your California Privacy Rights

We will not share any Personal Data with third-parties for their direct marketing purposes to the extent prohibited by California law. If our practices change, we will do so in accordance with applicable laws and will notify you in advance.


## 9. Interest Based Advertising

Interest based advertising is the collection of data from different sources and across different platforms in order to predict an individual's preferences or interest and to deliver to that individual, or his/her computer, smart phone or tablet, advertising based on his/her assumed preference or interest inferred from the collection of data pertaining to that individual or others who may have a similar profile or similar interests.

We work with a variety of third parties to attempt to understand the profiles of the individuals who are most likely to be interested in the TerraHub products or services so that we can send them promotional emails, or serve our advertisements to them on the websites and mobile apps of other entities.

These third parties include: \(1\) advertising networks, which collect information about a person's interests when that person views or interacts with one of their advertisements; \(2\) attribution partners, which measure the effectiveness of certain advertisements; and \(3\) business partners, which collect information when a person views or interacts with one of their advertisements.

In collaboration with these third parties, we collect information about our customers, prospects and other individuals over time and across different platforms when they use these platforms or interact with them. Individuals may submit information directly on our Sites or on platforms run by third parties, or by interacting with us, our advertisements, or emails they receive from us or from third parties. We may use special tools that are commonly used for this purpose, such as cookies, beacons, pixels, tags, mobile advertising IDs, flash cookies, and similar technologies. We may have access to databases of information collected by our business partners.

The information we or third party collect enables us to learn what purchases the person made, what ads or content the person sees, on which ads or links the person clicks, and other actions that the person takes on our Sites, or in response to our emails, or when visiting or using third parties' platforms.

We, or the third parties with which we work, use the information collected as described above to understand the various activities and behaviors of our customers, Site visitors and others. We, or these third parties, do this for many reasons, including: to recognize new or past visitors to our Sites; to present more personalized content; to provide more useful and relevant ads - for example, if we know what ads you are shown we can try not to show you the same ones repeatedly; to identify visitors across devices, sales channels, third party websites and Sites, or to display or send personalized or targeted ads and other custom content that is more focused on a person's perceived interest in products or services similar to those that we offer.

Our interest-based ads may be served to you in emails or on third-party platforms. We may serve these ads about our products or services or send commercial communications directly ourselves or through these third parties.

Visitors may opt out of receiving interest based advertising by advertising networks that may be delivered to them on our platform and other websites by visiting the following websites: [www.aboutads.info/consumers](https://www.aboutads.info/consumers) and [www.networkadvertising.org](https://www.networkadvertising.org). These features will opt a Visitor out of many – but not all - of the interest-based advertising activities in which we or third parties engage.


## 10. Do Not Track Policy

California law requires that operators of websites and online services disclose how they respond to a Do Not Track signal. Some browsers have incorporated "Do Not Track" features. Most of these features, when turned on, send a signal or preference to the website or online service that a user visits, indicating that the user does not wish to be tracked. Because there is not yet a common understanding of how to interpret Do Not Track signals, we do not currently respond to Do Not Track signal. We continue to work with the online industry to define a common understanding of how to treat Do Not Track signals.

In the meantime, you may opt out of receiving interest based advertising from advertising networks that may be delivered on our platform and other websites by visiting the following websites. If you want to opt out of this online behavioral advertising, visit the following sites: [www.aboutads.info/consumers](https://www.aboutads.info/consumers) and [www.networkadvertising.org](https://www.networkadvertising.org).

This will opt you out of many – but not all - of the interest-based advertising activities in which we or third parties engage. Choices you make may be browser and device specific. If you delete your cookies or use a different browser or a different computer or device, you may need to update your opt-out choices. Other third-party Sites provide visitors with the ability to opt-out of receiving interest-based ads on their Sites that you need to control through your settings on that Site. For example, to opt out of Google's use of your online behavior for advertising purposes, visit Google's Ad Settings page.


## 11. Third Party Cookies

California law requires that operators of websites and online services disclose whether other third parties may collect personally identifiable information about an individual's online activities from their site or service. We allow third parties with which we have a separate agreement to use cookies and other technologies to collect information about your use of the Site. These third parties include \(1\) business partners, which collect information when you view or interact with one of their advertisements on the Site; and \(2\) advertising networks, which collect information about your interests when you view or interact with one of their advertisements.

The information gathered by these third parties is used to make predictions about your interests or preferences so that they can display advertisements or promotional material on this Site and on other sites across the Internet tailored to your apparent interests.

The business partners and advertising networks that serve interest-based advertisements on the Services have limited access to a small amount of information about your profile and your device, which is necessary to serve you advertisements that are tailored to your apparent interests. It is possible that they may reuse this small amount of information on other sites or services.

We do not share with these third parties any information that would readily identify you \(such as email address\); however, these third parties may have access to information about your device \(such as IP or MAC address\). We do not have access to, or control over, the technologies that these third parties may use to collect information about your interests, and the information practices of these third parties are not covered by this Privacy Notice. Other than as discussed in this document, we have no control over these third parties.

### 11.1. The Following Types of Cookies Are Used in the Site:

  * strictly necessary/essential cookies - These cookies are essential in order to enable you to move around the website and use its features, such as accessing secure areas of the website. Without these cookies services you have asked for cannot be provided. These cookies don't collect information that identifies a visitor.

  * performance cookies - These cookies collect information about how visitors use a website, for instance which pages visitors go to most often, and if they get error messages from web pages. These cookies don't collect information that identifies a visitor. All information these cookies collect is aggregated and therefore anonymous. It is only used to improve how a website works.

  * functionality cookies - These cookies allow the website to remember choices you make \(such as your user name, language or the region you are in\) and provide enhanced, more personal features. For instance, a website may be able to provide you with local weather reports or traffic news by storing in a cookie the region in which you are currently located. These cookies can also be used to remember changes you have made to text size, fonts and other parts of web pages that you can customise. They may also be used to provide services you have asked for such as watching a video or commenting on a blog. The information these cookies collect may be anonymised and they cannot track your browsing activity on other websites.

  * behaviourally targeted advertising cookies - These cookies are used to deliver adverts more relevant to you and your interests They are also used to limit the number of times you see an advertisement as well as help measure the effectiveness of the advertising campaigns. They are usually placed by advertising networks with the website operator's permission. They remember that you have visited a website and this information is shared with other organisations such as advertisers. Quite often targeting or advertising cookies will be linked to site functionality provided by the other organisation.

### 11.2. The Following Cookies are Used in the Site:
|------------------|-------------|-------------|------------|---------|
| Service provider | Cookie name | Cookie type | Expiration | Content |
|------------------|-------------|-------------|------------|---------|


## 12. Minors and Children's Privacy

Protecting the privacy of young children is especially important. Our Service is not directed to children under the age of 18, and we do not knowingly collect Personal Data from children under the age of 18 without obtaining parental consent. If you are under 18 years of age, then please do not use or access the Service at any time or in any manner. If we learn that Personal Data has been collected on the Service from persons under 18 years of age and without verifiable parental consent, then we will take the appropriate steps to delete this information. If you are a parent or guardian and discover that your child under 18 years of age has obtained an Account on the Service, then you may alert us at support@terrahub.io and request that we delete that child's Personal Data from our systems.

The Service is not intended to be used by minors, and is not intended to be used to post content to share publicly or with friends. To the extent that a minor has posted such content on the Service, the minor has the right to have this content deleted or removed using the deletion or removal options detailed in this Privacy Policy. If you have any question regarding this topic, please contact us as indicated in the "How to Contact Us" section. Please be aware that, although we offer this deletion capability, the removal of content may not ensure complete or comprehensive removal of that content or information.


## 13. Data Security

We follow generally accepted industry standards to protect the information submitted to us, both during transmission and once we receive it. We maintain appropriate administrative, technical and physical safeguards to protect Personal Data against accidental or unlawful destruction, accidental loss, unauthorized alteration, unauthorized disclosure or access, misuse, and any other unlawful form of processing of the Personal Data in our possession. This includes, for example, firewalls, password protection and other access and authentication controls. We use SSL technology to encrypt data during transmission through public internet, and we also employ application-layer security features to further anonymize Personal Data.

However, no method of transmission over the Internet, or method of electronic storage, is 100% secure. We cannot ensure or warrant the security of any information you transmit to us or store on the Service, and you do so at your own risk. We also cannot guarantee that such information may not be accessed, disclosed, altered, or destroyed by breach of any of our physical, technical, or managerial safeguards. If you believe your Personal Data has been compromised, please contact us as set forth in the "How to Contact Us" section.

If we learn of a security systems breach, we will inform you and the authorities of the occurrence of the breach in accordance with applicable law.


## 14. Data Retention

We only retain the Personal Data collected from a User for as long as the User's account is active or otherwise for a limited period of time as long as we need it to fulfill the purposes for which we have initially collected it, unless otherwise required by law. We will retain and use information as necessary to comply with our legal obligations, resolve disputes, and enforce our agreements as follows:

  * the contents of closed accounts are deleted within 3 months of the date of closure;

  * backups are kept for 3 months;

  * billing information is retained for a period of 7 years as of their provision to TerraHub in accordance with the Estonian accounting and taxation laws;

  * information on legal transactions between Client and TerraHub is retained for a period of 10 years as of their provision to TerraHub in accordance with the general limitation period set for civil claims in the Civil Code Act.


## 15. Settings

Although we may allow you to adjust your privacy settings to limit access to certain Personal Data, please be aware that no security measures are perfect or impenetrable. We are not responsible for circumvention of any privacy settings or security measures on the Service. Additionally, we cannot control the actions of other users with whom you may choose to share your information. Further, even after information posted on the Service is removed, caching and archiving services may have saved that information, and other users or third parties may have copied or stored the information available on the Service. We cannot and do not guarantee that information you post on or transmit to the Service will not be viewed by unauthorized persons.


## 16. Data Transfer

We may transfer, process and store Personal Data we collect through the Services in centralized databases and with service providers located in the United States. The US may not have the same data protection framework as the country from which you may be using the Services. When we transfer Personal Data to the US, we will protect it as described in this Privacy Policy.

The Service is hosted in the United States or Germany. EU customers' databases will be hosted in TerraHub's EU datacenter located in Frankfurt, Germany.  Regardless of the database being hosted in the EU, if you choose to use the Service from the European Union or other regions of the world with laws governing data collection and use that may differ from US law, then please note that you may be transferring your Client Data and Personal Data outside of those regions to the United States for storage and processing by our service providers listed in the TerraHub Terms of Service. We will comply with GDPR requirements providing adequate protection for the transfer of personal information from EU to the US. Also, we may transfer your data to the US, the EEA, or other countries or regions deemed by the European Commission to provide adequate protection of personal data in connection with storage and processing of data, fulfilling your requests, and operating the Service.


## 17. Data Controller and Data Processor

TerraHub does not own, control or direct the use of any of the Client Data stored or processed by a Client or User via the Service. Only the Client or Users are entitled to access, retrieve and direct the use of such Client Data. TerraHub is largely unaware of what Client Data is actually being stored or made available by a Client or User to the Service and does not directly access such Client Data except as authorized by the Client, or as necessary to provide Services to the Client and its Users.

Because TerraHub does not collect or determine the use of any Personal Data contained in the Client Data and because it does not determine the purposes for which such Personal Data is collected, the means of collecting such Personal Data, or the uses of such Personal Data, TerraHub is not acting in the capacity of data controller in terms of the European Union's General Data Protection Regulation \(Regulation \(EU\) 2016/679, hereinafter "GDPR"\)  and does not have the associated responsibilities under the GDPR. TerraHub should be considered only as a processor on behalf of its Clients and Users as to any Client Data containing Personal Data that is subject to the requirements of the GDPR. Except as provided in this Privacy Policy, TerraHub does not independently cause Client Data containing Personal Data stored in connection with the Services to be transferred or otherwise made available to third parties, except to third party subcontractors who may process such data on behalf of TerraHub in connection with TerraHub's provision of Services to Clients. Such actions are performed or authorized only by the applicable Client or User.

The Client or the User is the data controller under the Regulation for any Client Data containing Personal Data, meaning that such party controls the manner such Personal Data is collected and used as well as the determination of the purposes and means of the processing of such Personal Data.

TerraHub is not responsible for the content of the Personal Data contained in the Client Data or other information stored on its servers \(or its subcontractors' servers\) at the discretion of the Client or User nor is TerraHub responsible for the manner in which the Client or User collects, handles disclosure, distributes or otherwise processes such information.

If you need a signed Data Processing Addendum in addition to the Terms of Service and Privacy Policy, you can find the document signed on behalf of TerraHub here.


## 18. Changes and Updates to this Policy

Please revisit this page periodically to stay aware of any changes to this Policy, which we may update from time to time. If we modify the Policy, we will make it available through the Service, and indicate the date of the latest revision, and will comply with applicable law. Your continued use of the Service after the revised Policy has become effective indicates that you have read, understood and agreed to the current version of the Policy.


## 19. How to Contact Us

Please contact us with any questions or comments about this Policy, your Personal Data, our use and disclosure practices, or your consent choices by email at support@terrahub.io. If you have any concerns or complaints about this Privacy Policy or your Personal Data, you may contact TerraHub's Security Team by email at security@terrahub.io.
