// Generated by CoffeeScript 1.12.7
var CHARS, TOKENS, clearQuotes, debug, tokenize;

debug = (require('debug'))('hcltojson:tokenize');

TOKENS = require('./tokens');

CHARS = [[',', TOKENS.COMMA], [':', TOKENS.COLON], ['=', TOKENS.ASSIGN], ['{', TOKENS.LBRACE], ['}', TOKENS.RBRACE], ['[', TOKENS.LBRACKET], [']', TOKENS.RBRACKET], ['<<', TOKENS.HEREDOC]];

clearQuotes = function(m) {
  if ((m != null ? m[0] : void 0) === '"') {
    return m;
  } else {
    return '';
  }
};

module.exports = tokenize = function(input) {
  var char, i, len, ref, regex, token;
  debug('input', input);
  input = input.replace(/".+?"|\#[\s\S]*?.*/igm, clearQuotes);
  input = input.replace(/".+?"|\/\*[\s\S]*?\*\/|\/\/.*/gm, clearQuotes);
  debug('comments.removed', input);
  for (i = 0, len = CHARS.length; i < len; i++) {
    ref = CHARS[i], char = ref[0], token = ref[1];
    char = "\\" + char;
    regex = RegExp("\".+\"|(" + char + ")", "g");
    input = input.replace(regex, function(match, group) {
      if (!group) {
        return match;
      } else {
        return " " + token + " ";
      }
    });
  }
  debug('tokenized', input);
  input = input.replace(/\s+(?=([^"]*"[^"]*")*[^"]*$)/gm, TOKENS.SPACE);
  debug('spaces.marked', input);
  return input;
};
